<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Firma\Anmeldung\HandleAnmeldung;

class KurseView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'firma/anmeldung/kurse.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $this->viewModel->kurs->status = $this->viewModel->status;
    $this->viewModel->kurs->weitereTN = $this->viewModel->weitereTN;

    return array($this->viewModel->kurs);
  }

  protected function getFooterExportAdapter()
  {
    return new \ExpKurse();
  }
}

class KurseViewModel
{
  public $kurs;
  public $status;
  public $weitereTN;
}